
From: Mikael Pettersson <mikpe@csd.uu.se>

One declaration of ppc32's proc_dol2crvec() wasn't converted to the new
calling convention (ppos parameter added), causing compile-time warnings in
kernel/sysctl.c.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sysctl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sysctl.c~perfctr-ppc32-sysctl-warning-fix kernel/sysctl.c
--- 25/kernel/sysctl.c~perfctr-ppc32-sysctl-warning-fix	Mon Aug  9 13:59:36 2004
+++ 25-akpm/kernel/sysctl.c	Mon Aug  9 13:59:36 2004
@@ -119,7 +119,7 @@ extern int sysctl_hz_timer;
 #if defined(CONFIG_PPC32) && defined(CONFIG_6xx)
 extern unsigned long powersave_nap;
 int proc_dol2crvec(ctl_table *table, int write, struct file *filp,
-		  void __user *buffer, size_t *lenp);
+		  void __user *buffer, size_t *lenp, loff_t *ppos);
 #endif
 
 #ifdef CONFIG_BSD_PROCESS_ACCT
_
